#ifndef READEPCCONTROL_H
#define READEPCCONTROL_H

#include <QObject>
#include <QWidget>

#include <QSerialPort>
#include <QTimer>
class ReadEPCControl : public QObject
{
    Q_OBJECT
public:
    explicit ReadEPCControl(QObject *parent = nullptr);

signals:
    void SendToBridge(QByteArray data);
    void SendRFIDStatus(bool status);
    //自己的信号
    void SendToSelf_Close();
public slots:
    void setComm(QString ComName,long baudRate);
private:

    QString m_RepeatScan = nullptr;
    QSerialPort *SerialPort;

};

#endif // READEPCCONTROL_H
